## psi4 4.0~beta5%2Bdfsg

=== CMakeLists.txt ===
project(psi4)
cmake_minimum_required(VERSION 2.8)

enable_language(Fortran)

# cmake modules are relative to this file
get_filename_component(ROOT_SRC_DIR ${CMAKE_CURRENT_LIST_FILE} PATH)
set(CMAKE_MODULE_PATH "${ROOT_SRC_DIR}/cmake/")

#
# Command line options
#
set(ALL_USEROPTS "")
set(EMPTY "\"\"")

include(cmake/GetValue.cmake)
#OPTION CXXFLAGS        Extra C++ compiler flags to be used in compilation (string)
get_value(useroptCXX_FLAGS CXXFLAGS   ${EMPTY})
#OPTION F77SYMBOL       The Fortran compiler name mangling convention, used for linking external Fortran libraries, such as BLAS. Values are lcu (lower case with traling underscore), lc (lower case), ucu (upper case with trailing underscore), uc (upper case). If omitted CMake will detect it automatically if a Fortran compiler is present, if not it will use lcu. (string)
get_value(useroptF77SYMBOL F77SYMBOL  "detect")
#OPTION LAPACK           Linker flags to use for Lapack (and BLAS), instead of detecting system library (string)
get_value(useroptLAPACK  LAPACK   ${EMPTY})
#OPTION LD_FLAGS         Extra flags to be used in linking (string)
get_value(useroptLDFLAGS  LDFLAGS   ${EMPTY})
#OPTION PREFIX           The installation directory for psi4 (string)
get_value(CMAKE_INSTALL_PREFIX  PREFIX  "/usr/local/psi4")
#OPTION PYTHON           Full path to python interpreter to use. If omitted Python will be detected. There should be a corresponding python-config script in this location for Psi to work, i.e. Python development version. (string)
get_value(useroptPYTHON  PYTHON   ${EMPTY})
#OPTION USE_SYSTEM_BOOST Whether to use system boost, if detected. False forces Psi to build its own Boost. (boolean)
get_value(useroptUSE_SYSTEM_BOOST  USE_SYSTEM_BOOST   TRUE)
#OPTION MAX_AM_ERI    The maximum angular momentum to allow for integrals (1=p,2=d,3=f, etc.).  First and second derivatives are supported up to MAX_AM_ERI-1 and MAX_AM_ERI-2, respectively. (int)
get_value(useroptLIBINT_MAX_AM  MAX_AM_ERI  5)

set (CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} ${useroptLDFLAGS}")
set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${useroptCXX_FLAGS}")
# This will be echoed at the end of configure, and also output to a file so the build can be replicated
set(CONFIGURE_CMD "${CMAKE_COMMAND} ${PROJECT_SOURCE_DIR}")
foreach(opt ${ALL_USEROPTS})
    set(CONFIGURE_CMD "${CONFIGURE_CMD} -D${opt}")
endforeach()

#
# Psi4 configuration
#
set(PSI_VERSION \"4.0\")
set(psi4datadir \"${CMAKE_INSTALL_PREFIX}\")
set(top_srcdir \"${PROJECT_SOURCE_DIR}\")
set(top_objdir \"${PROJECT_BINARY_DIR}\")

#set(PSI_VERSION "4.0")
set(PACKAGE_VERSION "4.0git")
set(PACKAGE_NAME "Psi")
set(PACKAGE_STRING "${PACKAGE_NAME} ${PACKAGE_VERSION}")
set(PACKAGE_BUGREPORT "psicode@users.sourceforge.net")

if( CMAKE_SOURCE_DIR STREQUAL CMAKE_BINARY_DIR AND NOT MSVC_IDE )
  message(FATAL_ERROR "In-source builds are not allowed.
Please create a directory and run cmake from there, passing the path
to this source directory as the last argument.
This process created the file `CMakeCache.txt' and the directory `CMakeFiles'.
Please delete them.")
endif()

#
# OpenMP
#
find_package(OpenMP)
if (OPENMP_FOUND)
    set (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${OpenMP_C_FLAGS}")
    set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${OpenMP_CXX_FLAGS}")
endif()

include(CheckIncludeFiles)
check_include_files(dlfcn.h HAVE_DLFCN)

include(CheckFunctionExists)
check_function_exists(MKL_Free_Buffers HAVE_MKL) # NEEDS TO BE TESTED

include(CheckSymbolExists)
check_symbol_exists(MPI_Finalize mpi.h HAVE_MPI) # NEEDS TO BE TESTED

include(cmake/Restrict.cmake)
test_restrict(restrict)

configure_file(include/psiconfig.h.cmake.in include/psiconfig.h)

# Is this needed for the script?
# TODO: Fix gitversion.py to work without setting top_srcdir...maybe use PROJECT_SOURCE_DIR
set(top_srcdir ${PROJECT_SOURCE_DIR}) # The quotes are added in the source, in this case
configure_file(src/bin/psi4/gitversion.py.in src/bin/psi4/gitversion.py)

#
# Libint configuration
# Perhaps move to libint's cmakelists.txt file

set(LIBINT_OPT_AM ${useroptLIBINT_MAX_AM})
math(EXPR LIBDERIV_OPT_AM1 ${LIBINT_OPT_AM}-1) # A.M. level for 1st derivative ERIs
math(EXPR LIBDERIV_OPT_AM2 ${LIBINT_OPT_AM}-2) # A.M. level for 2nd derivative ERIs
math(EXPR LIBINT_NEW_AM ${LIBINT_OPT_AM}*2)
math(EXPR LIBDERIV_NEW_AM1 ${LIBDERIV_OPT_AM1}*2)
math(EXPR LIBDERIV_NEW_AM2 ${LIBDERIV_OPT_AM2}*2)
math(EXPR LIBDERIV_NEW_AM12 ${LIBDERIV_OPT_AM2}*2)
configure_file(src/lib/libint/libint_config.h.in src/lib/libint/libint_config.h)
configure_file(src/lib/libderiv/libderiv_config.h.in src/lib/libderiv/libderiv_config.h)

# Psi4-specific includes and libraries
set(CMAKE_INCLUDE_CURRENT_DIR ON)
include_directories(
    ${PROJECT_BINARY_DIR}/include 
    ${PROJECT_SOURCE_DIR}/include
    ${PROJECT_SOURCE_DIR}/src/lib
    ${PROJECT_BINARY_DIR}/src/lib
)

#
# BLAS and LAPACK
#
#if(useroptBLAS)
#    set(BLAS_Libraries ${useroptBLAS})
#    message(WARNING "Skipping BLAS detection and using these flags: ${useroptBLAS}")
#else()
#    find_package(BLAS REQUIRED)
#endif()
if(NOT useroptLAPACK STREQUAL EMPTY)
    set(LAPACK_LIBRARIES ${useroptLAPACK})
    message(WARNING "Skipping LAPACK detection and using these flags: ${useroptLAPACK}")
else()
    find_package(LAPACK REQUIRED)
endif()
#if(NOT MKL_Found)
#    find_package(LAPACK REQUIRED)   # "Finding LAPACK implies BLAS was found too"
#endif()

#
# Fortran (yuk!) for external linking
#
if(useroptF77SYMBOL STREQUAL "detect")
    if(CMAKE_Fortran_COMPILER)
        include(cmake/FortranCInterface.cmake)
        get_fc_symbol(FC_SYMBOL)
    else()
        set(FC_SYMBOL 2)
    endif()
else()
    # The user told us what to do
    if(useroptF77SYMBOL STREQUAL "ucu")
        set(FC_SYMBOL 4)
    elseif(useroptF77SYMBOL STREQUAL "lcu")
        set(FC_SYMBOL 2)
    elseif(useroptF77SYMBOL STREQUAL "uc")
        set(FC_SYMBOL 3)
    elseif(useroptF77SYMBOL STREQUAL "uc")
        set(FC_SYMBOL 1)
    else()
        message(FATAL_ERROR "Invalid value ${useroptF77SYMBOL} passed in for the F77SYMBOL variable. Use lc, uc, ucu, or lcu.")
    endif()
endif()
add_definitions(-DFC_SYMBOL=${FC_SYMBOL})

#
# Python Detection 
#
if(NOT useroptPYTHON STREQUAL EMPTY)
    set(PYTHON_EXECUTABLE ${useroptPYTHON})
    message(WARNING "Skipping Python detection and using this version: ${useroptPYTHON}")
else()
    find_package(PythonInterp REQUIRED)
endif()
set(PYCONFIG ${PYTHON_EXECUTABLE}-config)
execute_process(COMMAND ${PYCONFIG} --ldflags  OUTPUT_VARIABLE PYTHON_LIBRARIES OUTPUT_STRIP_TRAILING_WHITESPACE)
execute_process(COMMAND ${PYCONFIG} --include  OUTPUT_VARIABLE PYTHON_INCLUDE_DIRS OUTPUT_STRIP_TRAILING_WHITESPACE)
# Turn the flags into proper lists
string(REPLACE "-I" "" PYTHON_INCLUDE_DIRS ${PYTHON_INCLUDE_DIRS})
string(REPLACE " " ";" PYTHON_INCLUDE_DIRS ${PYTHON_INCLUDE_DIRS})

##if(PYLIB STREQUAL "" OR PYINC STREQUAL "")
##   message(FATAL_ERROR "Python development libraries were not detected. Make sure that the development version "
##                       "is installed and that python-config exists in the same directory as the python executable.")
##endif()
#
#find_package(PythonLibs REQUIRED)
include_directories(${PYTHON_INCLUDE_DIRS})

#
# Boost Detection 
#
# N.B. Update boost/CMakeLists.txt if this list of components changes
set(Boost_USE_STATIC_LIBS ON)
set(Boost_COMPONENTS filesystem python regex serialization system thread )
if(NOT useroptUSE_SYSTEM_BOOST)
    message(WARNING "Skipping Boost detection, and forcing Psi to build the bundled version.")
else()
    find_package(Boost 1.47.0 COMPONENTS ${Boost_COMPONENTS})
endif()
if(NOT Boost_FOUND)
    # Add the Boost version bundled with Psi4 as a dependency
    message(WARNING "Boost not found. The pre-packaged version will be built.")
    # The version bundled with Psi4
    set(BOOSTVER boost_1_53_0)
    # Link and include information
    set(BOOSTLIBDIR ${PROJECT_BINARY_DIR}/boost/${BOOSTVER}/stage/lib)
    set(Boost_INCLUDE_DIRS ${PROJECT_BINARY_DIR}/boost/${BOOSTVER})
    foreach(component ${Boost_COMPONENTS})
        set(Boost_LIBRARIES ${Boost_LIBRARIES} "${BOOSTLIBDIR}/libboost_${component}.a")
    endforeach()
    if(${CMAKE_SYSTEM_NAME} MATCHES "Linux")
        set(Boost_LIBRARIES ${Boost_LIBRARIES} -lrt)
    endif()
    add_subdirectory(boost)
endif()
include_directories(${Boost_INCLUDE_DIRS})

#
# PThreads
#
find_package(Threads)
#get_cmake_property(_variableNames VARIABLES)
#foreach (_variableName ${_variableNames})
#    message(STATUS "${_variableName}=${${_variableName}}")
#endforeach()

#
# The location of compiled libraries and executables
#
file(MAKE_DIRECTORY ${PROJECT_BINARY_DIR}/lib)
file(MAKE_DIRECTORY ${PROJECT_BINARY_DIR}/bin)
set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/lib)
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/bin)

set(PSILIB mints_wrapper dfmp2 scf ccenergy ccsort psimrcc transqt2 cctriples scf_solver fock dcft mcscf sapt dftsapt sapt_solver cchbar cclambda ccdensity transqt ccresponse detci occ mrcc fnocc cceom adc thermo functional disp thce 3index deriv_wrapper optking findif mints trans dpd chkpt iwl psio qt ciomr options moinfo util stable deriv scfgrad int util diis plugin parallel)

#
# The ERD integrals package
#
#set(ERDPATH http://sirius.chem.vt.edu/psi4extras/erd.tgz)
#include(ExternalProject)
#ExternalProject_Add(erd
#    URL = ${ERDPATH}
#    PREFIX = ${PROJECT_BINARY_DIR}/erd
#)

#
# Recursively add source directories
#
add_subdirectory(src)

#
# Echo the directory information back
#
set(RECONFIGURE_PSI "${PROJECT_BINARY_DIR}/reconfigure.sh")
message("The following command can be used to exactly reproduce this build. It can also be found in ${RECONFIGURE_PSI}:\n")
message("${CONFIGURE_CMD}\n")
configure_file(cmake/reconfigure.sh.in reconfigure.sh)

#
# Output the build settings, for plugins to read later
#
#set(buildsettingsfile ${PROJECT_BINARY_DIR}/buildsettings.cmake)
#export(TARGETS psi4 FILE ${buildsettingsfile})

#get_cmake_property(_variableNames VARIABLES)
#foreach (_variableName ${_variableNames})
#    message(STATUS "${_variableName}=${${_variableName}}")
#endforeach()

=== src/lib/CMakeLists.txt ===
add_subdirectory(libint)
add_subdirectory(libderiv)
add_subdirectory(lib3index)
add_subdirectory(libchkpt)
add_subdirectory(libciomr)
add_subdirectory(libdiis)
add_subdirectory(libdisp)
add_subdirectory(libdpd)
add_subdirectory(libfock)
add_subdirectory(libfunctional)
add_subdirectory(libiwl)
add_subdirectory(libmints)
add_subdirectory(libmoinfo)
add_subdirectory(liboptions)
add_subdirectory(libparallel)
add_subdirectory(libplugin)
add_subdirectory(libpsio)
add_subdirectory(libqt)
add_subdirectory(libsapt_solver)
add_subdirectory(libscf_solver)
add_subdirectory(libthce)
add_subdirectory(libtrans)
add_subdirectory(libutil)

=== src/bin/adc/CMakeLists.txt ===
set(SRC adc.cc adc_main.cc amps_write.cc compute_energy.cc construct_sigma.cc denominator.cc diagonalize.cc differentiation.cc init_tensors.cc prepare_tensors.cc)
add_library(adc ${SRC})
add_dependencies(adc mints)

=== src/bin/cchbar/CMakeLists.txt ===
set(SRC cache.cc cc2_Wabei.cc cc2_Wmbej.cc cc2_Wmbij.cc cc2_Zmbej.cc cc3_HET1.cc cchbar.cc F.cc Fai.cc get_moinfo.cc get_params.cc HET1_Wabef.cc norm_HET1.cc purge.cc reference.cc sort_amps.cc status.cc tau.cc taut.cc Wabei.cc Wabei_AAAA_UHF.cc Wabei_ABAB_UHF.cc Wabei_BABA_UHF.cc Wabei_BBBB_UHF.cc Wabei_RHF.cc Wabei_RHF_FT2_a.cc Wabei_ROHF.cc Wabij.cc Wamef.cc Wmbej.cc Wmbij.cc Wmnie.cc)
add_library(cchbar ${SRC})

=== src/bin/dfmp2/CMakeLists.txt ===
set(SRC corr_grad.cc mp2.cc wrapper.cc)
add_library(dfmp2 ${SRC})
add_dependencies(dfmp2 mints)

=== src/bin/mcscf/CMakeLists.txt ===
set(SRC algebra_interface.cc block_matrix.cc block_vector.cc matrix_base.cc mcscf.cc sblock_matrix.cc sblock_vector.cc scf.cc scf_canonicalize_MO.cc scf_check_orthonormality.cc scf_compute_energy.cc scf_density_matrix.cc scf_diis.cc scf_energy.cc scf_F.cc scf_Feff.cc scf_G.cc scf_guess_occupation.cc scf_initial_guess.cc scf_iterate_scf_equations.cc scf_pairs.cc scf_print_eigenvectors_and_MO.cc scf_read_so_oei.cc scf_read_so_tei.cc scf_S_inverse_sqrt.cc scf_save_info.cc vector_base.cc)
add_library(mcscf ${SRC})
add_dependencies(mcscf mints)

=== src/bin/mrcc/CMakeLists.txt ===
set(SRC mrcc.cc)
add_library(mrcc ${SRC})
add_dependencies(mrcc mints)

=== src/bin/occ/CMakeLists.txt ===
set(SRC arrays.cc cc_energy.cc ccl_energy.cc cepa_iterations.cc coord_grad.cc corr_tpdm.cc diis.cc dpd.cc ekt_ip.cc ep2_ip.cc fock_alpha.cc fock_beta.cc get_moinfo.cc gfock.cc gfock_diag.cc idp.cc idp2.cc kappa_msd.cc kappa_orb_resp.cc kappa_orb_resp_iter.cc main.cc manager.cc mograd.cc occ_iterations.cc occwave.cc ocepa_g_int.cc ocepa_response_pdms.cc ocepa_t2_1st_sc.cc omp2_ip_poles.cc omp2_response_pdms.cc omp2_t2_1st.cc omp3_g_int.cc omp3_ip_poles.cc omp3_response_pdms.cc omp3_t2_1st_general.cc omp3_t2_1st_sc.cc semi_canonic.cc t1_1st.cc t2_2nd_general.cc t2_2nd_sc.cc t2_amps.cc tei_sort_iabc.cc tpdm_ref_corr_opdm.cc trans_ints_rhf.cc trans_ints_rmp2.cc trans_ints_uhf.cc trans_ints_ump2.cc update_mo.cc v_2nd_order.cc v_int.cc w_1st_order.cc w_int.cc z_vector.cc)
add_library(occ ${SRC})
add_dependencies(occ mints)

=== src/lib/libderiv/CMakeLists.txt ===
#
# Figure out which files libint will produce, and compile them
#
include(../CMakeLists.libint.txt)
set(LD_SRC "init_libderiv.cc" "d1hrr_order_0000.cc" "d1vrr_order_0000.cc" "d12hrr_order_0000.cc" "d12vrr_order_0000.cc")
build_libderiv_files(LD_SRC1 ${LIBDERIV_OPT_AM1} TRUE)
foreach (f ${LD_SRC1})
    set(LD_SRC ${LD_SRC} "d1${f}")
endforeach()
build_libderiv_files(LD_SRC2 ${LIBDERIV_OPT_AM2} FALSE)
foreach (f ${LD_SRC2})
    set(LD_SRC ${LD_SRC} "d12${f}")
endforeach()
set(ABC A B C D)
set(XYZ X Y Z)
math(EXPR MAXAM ${LIBDERIV_NEW_AM1}+1)
foreach(abcval ${ABC})
    foreach(xyzval ${XYZ})
        foreach(amval RANGE ${MAXAM})
            list(GET AM ${amval} amlabel)
            set(LD_SRC ${LD_SRC} "deriv_build_${abcval}${xyzval}_${amlabel}.cc")
        endforeach()
    endforeach()
endforeach()
add_library(deriv STATIC ${LD_SRC})
add_dependencies(deriv int)

#
# Build the compiler
#
set(COMPILER_SRC build_libderiv.c emit_d1hrr_build_macro.c emit_deriv1_managers.c emit_deriv_build_macro.c
                 emit_d1hrr_build.c emit_deriv12_managers.c emit_deriv_build.c mem_man.c)
add_executable(libderiv_compiler ${COMPILER_SRC})

#
# Generate the libderiv files, after building the compiler, only if libderiv.compiled doesn't exist
#
add_custom_command(
    COMMAND libderiv_compiler
    COMMAND touch libderiv.compiled
    DEPENDS libderiv_compiler
    OUTPUT libderiv.compiled
    OUTPUT ${LD_SRC}
)


#
# This target is always executed
#
#add_custom_target(
#    libderiv ALL
#    DEPENDS libderiv.compiled
#)

=== src/lib/libdisp/CMakeLists.txt ===
set(SRC dispersion.cc)
add_library(disp ${SRC})
add_dependencies(disp mints)

=== src/lib/libtrans/CMakeLists.txt ===
set(SRC integraltransform.cc integraltransform_dpd_id.cc integraltransform_moinfo.cc integraltransform_oei.cc integraltransform_sort_mo_tpdm.cc integraltransform_sort_so_tei.cc integraltransform_sort_so_tpdm.cc integraltransform_tei.cc integraltransform_tei_1st_half.cc integraltransform_tei_2nd_half.cc integraltransform_tpdm.cc integraltransform_tpdm_restricted.cc integraltransform_tpdm_unrestricted.cc mospace.cc)
add_library(trans ${SRC})
add_dependencies(trans mints)

=== src/lib/libutil/CMakeLists.txt ===
set(SRC combinations.cc exception.cc memory_manager.cc quad.cc stl_string.cc)
add_library(util ${SRC})

## psi4 4.0~beta5+dfsg

=== boost/CMakeLists.txt ===
add_custom_command(
    COMMAND tar xzf ${PROJECT_SOURCE_DIR}/boost/${BOOSTVER}.tar.gz 
    OUTPUT ${BOOSTVER}
    COMMENT Unpacking Boost
    DEPENDS ${PROJECT_SOURCE_DIR}/boost/${BOOSTVER}.tar.gz
)

add_custom_command(
    COMMAND ./bootstrap.sh --with-libraries=filesystem,python,regex,serialization,system,thread --with-python=${PYTHON}
    COMMAND ./b2
    COMMAND touch ../boost.compiled
    WORKING_DIRECTORY ${BOOSTVER}
    DEPENDS ${BOOSTVER}
    OUTPUT boost.compiled
    OUTPUT ${BOOSTLIB}
    COMMENT Configuring and building Boost 
)

# This target is always executed, but checks for the existence of boost.compiled
add_custom_target(
    boostlibs ALL
    DEPENDS boost.compiled
)

=== cmake/build/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.8

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/local/Cellar/cmake/2.8.10.2/bin/cmake

# The command to remove a file.
RM = /usr/local/Cellar/cmake/2.8.10.2/bin/cmake -E remove -f

# Escaping for special characters.
EQUALS = =

# The program to use to edit the cache.
CMAKE_EDIT_COMMAND = /usr/local/Cellar/cmake/2.8.10.2/bin/ccmake

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /Users/andysim/programming/psi4/CMake

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /Users/andysim/programming/psi4/CMake/build

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake cache editor..."
	/usr/local/Cellar/cmake/2.8.10.2/bin/ccmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/local/Cellar/cmake/2.8.10.2/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# The main all target
all: cmake_check_build_system
	$(CMAKE_COMMAND) -E cmake_progress_start /Users/andysim/programming/psi4/CMake/build/CMakeFiles /Users/andysim/programming/psi4/CMake/build/CMakeFiles/progress.marks
	$(MAKE) -f CMakeFiles/Makefile2 all
	$(CMAKE_COMMAND) -E cmake_progress_start /Users/andysim/programming/psi4/CMake/build/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	$(MAKE) -f CMakeFiles/Makefile2 clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	$(MAKE) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	$(MAKE) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	$(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

#=============================================================================
# Target rules for targets named testme

# Build rule for target.
testme: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 testme
.PHONY : testme

# fast build rule for target.
testme/fast:
	$(MAKE) -f CMakeFiles/testme.dir/build.make CMakeFiles/testme.dir/build
.PHONY : testme/fast

demo.o: demo.cpp.o
.PHONY : demo.o

# target to build an object file
demo.cpp.o:
	$(MAKE) -f CMakeFiles/testme.dir/build.make CMakeFiles/testme.dir/demo.cpp.o
.PHONY : demo.cpp.o

demo.i: demo.cpp.i
.PHONY : demo.i

# target to preprocess a source file
demo.cpp.i:
	$(MAKE) -f CMakeFiles/testme.dir/build.make CMakeFiles/testme.dir/demo.cpp.i
.PHONY : demo.cpp.i

demo.s: demo.cpp.s
.PHONY : demo.s

# target to generate assembly for a file
demo.cpp.s:
	$(MAKE) -f CMakeFiles/testme.dir/build.make CMakeFiles/testme.dir/demo.cpp.s
.PHONY : demo.cpp.s

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... edit_cache"
	@echo "... rebuild_cache"
	@echo "... testme"
	@echo "... demo.o"
	@echo "... demo.i"
	@echo "... demo.s"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	$(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system

=== src/bin/CMakeLists.txt ===
add_subdirectory(adc)
add_subdirectory(ccdensity)
add_subdirectory(ccenergy)
add_subdirectory(cceom)
add_subdirectory(cchbar)
add_subdirectory(cclambda)
add_subdirectory(ccresponse)
add_subdirectory(ccsort)
add_subdirectory(cctriples)
add_subdirectory(dcft)
add_subdirectory(deriv_wrapper)
add_subdirectory(detci)
add_subdirectory(dfmp2)
add_subdirectory(dftsapt)
add_subdirectory(findif)
add_subdirectory(fnocc)
add_subdirectory(mcscf)
add_subdirectory(mints_wrapper)
add_subdirectory(mrcc)
add_subdirectory(occ)
add_subdirectory(optking)
add_subdirectory(psimrcc)
add_subdirectory(sapt)
add_subdirectory(scf)
add_subdirectory(scfgrad)
add_subdirectory(stable)
add_subdirectory(thermo)
add_subdirectory(transqt)
add_subdirectory(transqt2)
add_subdirectory(psi4)

=== src/bin/ccdensity/CMakeLists.txt ===
set(SRC add_core_ROHF.cc add_core_UHF.cc add_ref.cc add_ref_RHF.cc add_ref_ROHF.cc add_ref_UHF.cc ael.cc build_A.cc build_A_RHF.cc build_A_ROHF.cc build_A_UHF.cc build_X.cc build_Z.cc build_Z_RHF.cc build_Z_ROHF.cc build_Z_UHF.cc cache.cc ccdensity.cc classify.cc deanti.cc deanti_RHF.cc deanti_ROHF.cc deanti_UHF.cc densgrid_RHF.cc dipole.cc distribute.cc dump_RHF.cc dump_ROHF.cc dump_UHF.cc energy.cc energy_RHF.cc energy_ROHF.cc energy_UHF.cc file_build.cc fold.cc fold_RHF.cc fold_ROHF.cc fold_UHF.cc G.cc G_norm.cc Gabcd.cc Gciab.cc get_frozen.cc get_moinfo.cc get_params.cc get_rho_params.cc get_td_params.cc Gibja.cc Gijab.cc Gijab_RHF.cc Gijab_ROHF.cc Gijab_UHF.cc Gijka.cc Gijkl.cc Iab.cc Iai.cc idx_error.cc idx_permute.cc Iia.cc Iij.cc kinetic.cc lag.cc ltdensity.cc ltdensity_intermediates.cc norm.cc onepdm.cc oscillator_strength.cc relax_D.cc relax_I.cc relax_I_RHF.cc relax_I_ROHF.cc relax_I_UHF.cc resort_gamma.cc resort_tei.cc rotational_strength.cc rtdensity.cc setup_LR.cc sort_ltd_rohf.cc sort_ltd_uhf.cc sort_rtd_rohf.cc sort_rtd_uhf.cc sortI.cc sortI_RHF.cc sortI_ROHF.cc sortI_UHF.cc sortone.cc sortone_RHF.cc sortone_ROHF.cc sortone_UHF.cc td_cleanup.cc td_print.cc td_setup.cc tdensity.cc transdip.cc transL.cc transp.cc twopdm.cc V.cc x_Gabcd.cc x_Gciab.cc x_Gciab_uhf.cc x_Gibja.cc x_Gibja_uhf.cc x_Gijab.cc x_Gijab_uhf.cc x_Gijka.cc x_Gijka_uhf.cc x_Gijkl.cc x_oe_intermediates.cc x_oe_intermediates_rhf.cc x_onepdm.cc x_onepdm_uhf.cc x_te_intermediates.cc x_te_intermediates_rhf.cc x_V.cc x_xi1.cc x_xi1_connected.cc x_xi1_rhf.cc x_xi1_uhf.cc x_xi2.cc x_xi2_rhf.cc x_xi2_uhf.cc x_xi_check.cc x_xi_intermediates.cc zero_pdm.cc)
add_library(ccdensity ${SRC})
add_dependencies(ccdensity mints)

=== src/bin/ccenergy/CMakeLists.txt ===
set(SRC amp_write.cc analyze.cc AO_contribute.cc BT2.cc BT2_AO.cc cache.cc cc2_faeT2.cc cc2_fmiT2.cc cc2_t2.cc cc2_Wabei.cc cc2_WabeiT2.cc cc2_WabijT2.cc cc2_Wmbij.cc cc2_WmbijT2.cc cc2_Wmnij.cc cc3.cc cc3_Wabei.cc cc3_Wamef.cc cc3_Wmbij.cc cc3_Wmnie.cc cc3_Wmnij.cc ccenergy.cc converged.cc CT2.cc d1diag.cc d2diag.cc denom.cc diagnostic.cc diis.cc diis_RHF.cc diis_ROHF.cc diis_UHF.cc dijabT2.cc DT2.cc energy.cc ET2.cc Fae.cc FaetT2.cc Fme.cc Fmi.cc FmitT2.cc fock_build.cc FT2.cc FT2_cc2.cc get_moinfo.cc get_params.cc halftrans.cc init_amps.cc lmp2.cc local.cc mp2_energy.cc new_d1diag.cc pair_energies.cc priority.cc rotate.cc sort_amps.cc spinad_amps.cc status.cc t1.cc t2.cc tau.cc taut.cc tsave.cc update.cc Wmbej.cc WmbejT2.cc Wmnij.cc WmnijT2.cc Z.cc ZT2.cc)
add_library(ccenergy ${SRC})
add_dependencies(ccenergy mints)

=== src/bin/cceom/CMakeLists.txt ===
set(SRC amp_write.cc c_clean.cc cache.cc cc2_hbar_extra.cc cc2_sigma.cc cc3_HC1.cc cc3_HC1ET1.cc cceom.cc check_sum.cc dgeev_eom.cc diag.cc diagSS.cc FDD.cc follow_root.cc form_diagonal.cc FSD.cc get_eom_params.cc get_moinfo.cc get_params.cc hbar_extra.cc hbar_norms.cc local.cc local_guess.cc norm.cc norm_HC1.cc precondition.cc restart.cc restart_with_root.cc rzero.cc schmidt_add.cc sigma_full.cc sigmaCC3.cc sigmaCC3_RHF.cc sigmaDD.cc sigmaDS.cc sigmaSD.cc sigmaSS.cc sort_amps.cc sort_C.cc WabefDD.cc WabejDS.cc WamefSD.cc WbmfeDS.cc WmaijDS.cc WmbejDD.cc WmnefDD.cc WmnieSD.cc WmnijDD.cc WnmjeDS.cc write_Rs.cc)
add_library(cceom ${SRC})

=== src/bin/cclambda/CMakeLists.txt ===
set(SRC BL2_AO.cc c_clean.cc cache.cc cc2_faeL2.cc cc2_fmiL2.cc cc2_Gai.cc cc2_hbar_extra.cc cc2_L1.cc cc2_L2.cc cc3_l3l1.cc cc3_l3l2.cc cc3_t3x.cc cc3_t3z.cc cclambda.cc check_ortho.cc check_sum.cc converged.cc denom.cc diis.cc dijabL2.cc DL2.cc FaeL2.cc FmiL2.cc G.cc get_moinfo.cc get_params.cc GL2.cc halftrans.cc hbar_extra.cc init_amps.cc L1.cc L1FL2.cc L2.cc L3_AAA.cc L3_AAB.cc Lamp_write.cc Lmag.cc Lnorm.cc local.cc Lsave.cc ortho_Rs.cc overlap.cc overlap_LAMPS.cc projections.cc pseudoenergy.cc sort_amps.cc spinad_amps.cc status.cc update.cc WabeiL1.cc WefabL2.cc WejabL2.cc WijmbL2.cc WijmnL2.cc WmbejL2.cc)
add_library(cclambda ${SRC})

=== src/bin/ccresponse/CMakeLists.txt ===
set(SRC amp_write.cc analyze.cc cache.cc cc2_hbar_extra.cc cc2_LHX1Y1.cc cc2_LHX1Y2.cc cc2_sort_X.cc cc2_X1.cc cc2_X2.cc ccresponse.cc compute_X.cc converged.cc denom.cc diis.cc get_moinfo.cc get_params.cc hbar_extra.cc HXY.cc init_X.cc lambda_residuals.cc LCX.cc LHX1Y1.cc LHX1Y2.cc LHX2Y2.cc linresp.cc local.cc optrot.cc pertbar.cc polar.cc preppert.cc print_X.cc pseudopolar.cc roa.cc save_X.cc sort_lamps.cc sort_pert.cc sort_X.cc update_X.cc X1.cc X2.cc)
add_library(ccresponse ${SRC})
add_dependencies(ccresponse mints)

=== src/bin/ccsort/CMakeLists.txt ===
set(SRC b_sort.cc build_abcd_packed.cc build_B_RHF.cc build_F_RHF.cc c_sort.cc cache.cc cc_memcheck.cc ccsort.cc classify.cc cphf_B.cc cphf_F.cc d_sort.cc d_spinad.cc denom.cc distribute.cc domain_print.cc e_sort.cc e_spinad.cc f_sort.cc f_spinad.cc file_build.cc file_build_multipass.cc file_build_presort.cc fock.cc get_moinfo.cc get_params.cc idx_error.cc idx_permute.cc idx_permute_multipass.cc idx_permute_presort.cc local.cc local_magnetic.cc local_polar.cc scf_check.cc sort_oei.cc sort_pert.cc sort_tei.cc transpert.cc)
add_library(ccsort ${SRC})

=== src/bin/cctriples/CMakeLists.txt ===
set(SRC cache.cc count_ijk.cc ET_AAA.cc ET_AAB.cc ET_ABB.cc ET_BBB.cc ET_RHF.cc ET_UHF_AAA.cc ET_UHF_AAB.cc ET_UHF_ABB.cc ET_UHF_BBB.cc get_moinfo.cc T3_grad_RHF.cc T3_grad_UHF_AAA.cc T3_grad_UHF_AAB.cc T3_grad_UHF_BBA.cc T3_grad_UHF_BBB.cc T3_UHF_AAA.cc T3_UHF_AAB.cc T3_UHF_ABC.cc test_abc_loops.cc transpose_integrals.cc triples.cc)
add_library(cctriples ${SRC})

=== src/bin/dcft/CMakeLists.txt ===
set(SRC AO_contribute.cc dcft.cc dcft_compute.cc dcft_energy.cc dcft_gradient.cc dcft_integrals.cc dcft_intermediates.cc dcft_lambda.cc dcft_memory.cc dcft_mp2.cc dcft_n_representability.cc dcft_qc.cc dcft_scf.cc dcft_tau.cc half_transform.cc main.cc)
add_library(dcft ${SRC})
add_dependencies(dcft mints)

=== src/bin/deriv_wrapper/CMakeLists.txt ===
set(SRC main.cc)
add_library(deriv_wrapper ${SRC})
add_dependencies(deriv_wrapper mints)

=== debian/control ===
Source: psi4
Section: science
Priority: optional
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders: Michael Banck <mbanck@debian.org>
Build-Depends: autotools-dev,
               debhelper (>> 8),
	       dvipng,
	       gfortran,
               libblas-dev,
	       libboost-filesystem-dev,
               libboost-python-dev,
               libboost-regex-dev,
               libboost-serialization-dev,
               libboost-system-dev,
               libboost-thread-dev,
               liblapack-dev,
	       python-dev,
               python-numpy,
	       python-sphinx,
	       texlive-latex-extra
Standards-Version: 3.9.4
Homepage: http://www.psicode.org/
Vcs-Browser: http://anonscm.debian.org/viewvc/debichem/unstable/psi4/
Vcs-Svn: svn://anonscm.debian.org/debichem/unstable/psi4/

Package: psi4
Architecture: any
Depends: psi4-data (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Quantum Chemical Program Suite
 PSI4 is an ab-initio quantum chemistry program.  It is especially designed to
 accurately compute properties of small to medium molecules using highly
 correlated techniques. PSI4 is the parallelized successor of PSI3 and includes
 many state-of-the-art theoretical methods.
 .
 It can compute energies and gradients for the following methods:
  * Restricted, unrestricted and general restricted open shell Hartree-Fock
    (RHF/ROHF)
  * Restricted, unrestricted and general restricted open shell
    Densitry-Functional Theory, including density-fitting (DF-DFT)
  * Density Cumulant Functional Theory (DCFT)
  * Closed-shell Density-fitted Moeller-Plesset perturbation theory (DF-MP2)
  * Unrestricted Moeller-Plesset perturbation theory (MP2)
  * Orbital-Optimized MP2 theory (OMP2)
  * Third order Moeller-Plesset perturbation theory (MP3)
  * Orbital-Optimized MP3 theory (OMP3)
  * Coupled-cluster singles doubles (CCSD)
  * Coupled-cluster singles doubles with perturbative triples (CCSD(T))
    (only for unrestricted (UHF) reference wavefunctions)
  * Equation-of-motion coupled-cluster singles doubles (EOM-CCSD)
 .
 Additionally, it can compute energies for the following methods:
  * Closed/open shell Moeller-Plesset perturbation theory (MP2)
  * Spin-component scaled MP2 theory (SCS-MP2)
  * Fourth order Moeller-Plesset perturbation theory (MP4)
  * Density-fitted symmetry-adapted perturbation theory (DF-SAPT)
  * Multireference configuration-interaction (MRCI)
  * Closed-shell Density-fitted coupled-cluster singles doubles (DF-CCSD)
  * Closed-shell Density-fitted Coupled-cluster singles doubles with
    perturbative triples (DF-CCSD(T))
  * Second/third-order approximate coupled-cluster singles doubles (CC2/CC3)
  * Mukherjee Multireference coupled-cluster singles doubles theory (mk-MRCCSD)
  * Mukherjee Multireference coupled-cluster singles doubles with perturbative
    triples theory (mk-MRCCSD(T))
  * Second order algebraic-diagrammatic construction theory (ADC(2))
  * Quadratic configuration interaction singles doubles (QCISD)
  * Quadratic configuration interaction singles doubles with perturbative
    triples (QCISD(T))
 .
 Further features include:
  * Flexible, modular and customizable input format via python
  * Excited state calculations with the EOM-CC2/CC3, EOM-CCSD, ADC(2), MRCI and
    mk-MRCC methods
  * Utilization of molecular point-group symmetry to increase efficiency
  * Internal coordinate geometry optimizer
  * Harmonic frequencies calculations (via finite differences)
  * Potential surface scans 
  * Counterpoise correction
  * One-electron properties like dipole/quadrupole moments, transition dipole
    moments, natural orbitals occupations or electrostatic potential
  * Composite methods like complete basis set extrapolation or G2/G3

Package: psi4-data
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Quantum Chemical Program Suite (data files)
 PSI4 is an ab-initio quantum chemistry program.  It is especially designed to
 accurately compute properties of small to medium molecules using highly
 correlated techniques. PSI4 is the parallelized successor of PSI3 and includes
 many state-of-the-art theoretical methods.
 .
 This package contains data files and the HTML documentation.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1

DEB_BUILD_MULTIARCH=$(shell dpkg-architecture -qDEB_BUILD_MULTIARCH)

export PSI_SCRATCH=$(CURDIR)/tmp-scratch
export SCRATCH=$(CURDIR)/tmp-scratch

%:
	dh $@ --with autotools_dev --parallel

override_dh_auto_clean:
	dh_auto_clean --builddirectory=builddir
	find $(CURDIR) -name "*.pyc" -delete
	$(RM) -r tmp-scratch

override_dh_auto_configure:
	dh_auto_configure --builddirectory=builddir -- --docdir=/usr/share/doc/psi4 --with-boost-system --with-boost-libdir=/usr/lib/$(DEB_BUILD_MULTIARCH)

override_dh_auto_build:
	dh_auto_build --builddirectory=builddir
	(cd builddir/doc; $(MAKE))

override_dh_auto_install-arch:
	dh_auto_install --builddirectory=builddir
	$(RM) debian/tmp/usr/share/psi/databases/*.pyc
	cp samples/example_psi4rc_file debian/psi4/usr/share/doc/psi4/psi4rc.example

override_dh_auto_install-indep:
	for i in tu1-h2o-energy tu2-ch2-energy tu3-h2o-opt tu4-h2o-freq \
	tu5-sapt castup1 scf1 scf2 scf3 scf5 scf-guess-read dft1 dfmp2-1 \
	cc1 cc2 cc3 cc4 cc8 cc8a cc12 \
	cc15 cc16 cc17 cc18 cc19 cc23 cc24 cc28 cc32 cc49 \
	fci-dipole cisd-h2o+-0 ci-multi \
	cisd-opt-fd rasci-h2o mpn-bh \
	mcscf1 sapt1 sad1 \
	psimrcc-sp1 mints1 mints2 matrix1 opt1 opt1-fd gibbs omp2-2 \
	omp3-1 omp2_5-2 ocepa1 fnocc2 fnocc4 \
	mp2_5-grad1 ocepa-grad2 omp2-grad1 \
	dcft1 dcft2 dcft3 dcft4 pywrap-db1 pywrap-db2 pywrap-cbs1 pywrap-all pywrap-alias \
	pywrap-checkrun-rhf pywrap-freq-e-sowreap; \
		do cp samples/$$i/input.dat \
		$(CURDIR)/debian/psi4-data/usr/share/doc/psi4/examples/$$i.dat; \
	done
	(cd builddir/doc; $(MAKE) install DESTDIR=$(CURDIR)/debian/psi4-data)

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	-(cd builddir/tests; $(MAKE) quicktests)
endif

## psi4 step-2021.5.25

=== requirements.txt ===
psutil==5.7.2
seamm==2021.2.2

## psi4 step-2022.8.24

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/psi4_step.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/psi4_step.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/psi4_step"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/psi4_step"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

## psi4 step-2023.2.21

=== requirements.txt ===
numpy
# optking
psutil
scipy
seamm
